aboutsummaryrefslogtreecommitdiff
path: root/python/package_id_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Piotr Jaroszyński <peper@gentoo.org> 2007-08-11 20:33:07 +0000
committerAvatar Piotr Jaroszyński <peper@gentoo.org> 2007-08-11 20:33:07 +0000
commita4ce4aabe6055fcf4002574c11880402adce1fcb (patch)
tree42003d2dea19db02cc5170b075b00e1067d28459 /python/package_id_TEST_setup.sh
parentb2a5edd145d8678e5bc5f6ac1270a9b296f09b40 (diff)
downloadpaludis-a4ce4aabe6055fcf4002574c11880402adce1fcb.tar.gz
paludis-a4ce4aabe6055fcf4002574c11880402adce1fcb.tar.xz
(python) Add Masks and fix PackageID.metadata.
Diffstat (limited to 'python/package_id_TEST_setup.sh')
-rwxr-xr-xpython/package_id_TEST_setup.sh19
1 files changed, 17 insertions, 2 deletions
diff --git a/python/package_id_TEST_setup.sh b/python/package_id_TEST_setup.sh
index 05efdec51..af0967c06 100755
--- a/python/package_id_TEST_setup.sh
+++ b/python/package_id_TEST_setup.sh
@@ -4,11 +4,12 @@
mkdir package_id_TEST_dir || exit 1
cd package_id_TEST_dir || exit 1
-mkdir -p testrepo/{eclass,distfiles,profiles/testprofile,foo/bar/files} || exit 1
+mkdir -p testrepo/{eclass,distfiles,profiles/testprofile,foo/bar,cat/masked} || exit 1
cd testrepo || exit 1
echo "testrepo" > profiles/repo_name || exit 1
cat <<END > profiles/categories || exit 1
foo
+cat
END
cat <<END > profiles/profiles.desc
test testprofile stable
@@ -32,9 +33,23 @@ DEPEND="foo/bar"
RDEPEND=""
END
+
+cat <<"END" > cat/masked/masked-1.0.ebuild || exit 1
+DESCRIPTION="Masked package"
+HOMEPAGE="http://paludis.pioto.org/"
+SRC_URI="http://example.com/${P}.tar.bz2"
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="masked"
+RESTRICT=""
+DEPEND=""
+RDEPEND=""
+END
+
cd ..
-mkdir -p installed/cat-one/pkg-{one,two}-1 || exit 1
+mkdir -p installed/cat-one/pkg-one-1 || exit 1
echo "cat-one" > installed/cat-one/pkg-one-1/CATEGORY